%define name gtktalog
%define version 0.9.3
%define release 1
Summary: The Gnome disk catalog.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: 0
Copyright: GPL
Group: Applications/Archiving
Source: ftp://gtktalog.sourceforge.net/pub/gtktalog/gtktalog/tgz/%{name}-%{version}.tar.gz
URL: http://gtktalog.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: gnome-libs zlib

%description
GTKtalog is a disk catalog, it means you can use it to create a really small
database with images of files and folders of your CD-rom. So you can browse all
your CD's very quickly, see contents of certain files (tar.gz, rpm files ...).
You can give to each folder and file a category and a description. You can
search for files in your database with filename, category, description or file
information parameter, and find in which CD the file you are looking for is.

%description -l fr
GTKtalog est un catalogueur de disque. En d'autres termes, vous pouvez
l'utiliser pour crer une vraiment petite base de donnes avec les images des
fichiers et rpertoires de votre CD-rom. Vous pouvez ainsi lire tous vos CD
trs rapidement, voir le contenu de certains fichiers (tar.gz, fichiers rpm...).
Vous pouvez attribuer  chaque rpertoire ou fichier une catgorie, une
description ou des paramtres concernant les informations du fichier. Et ainsi
vous pouvez trouver dans quel CD se trouve le fichier que vous cherchez.

%description -l nl
GTKtalog is een schijvencatalogeerder. Je kan er kleine databanken mee maken,
die informatie van vele CD-roms en diskettes bevatten. Dus kan je heel snel
al je CD's doorzoeken, de inhoud van sommige bestanden bekijken (tar.gz, rpm
bestanden ...).
Je kan iedere map en ieder bestand een categorie en beschrijving geven. Je kan
bestanden zoeken op naam, categorie, beschrijving of bestandsinformatie. Zo
vind je snel op welke CD het bestand dat je zoekt staat.

#%package ncatalog
#Summary: NCurses version of gtktalog.
#Group: Archiving/Other
#Requires: ncurses gtktalog

#%description ncatalog
#ncatalog is the ncurses version of gtktalog

#%description ncatalog -l fr
#ncatalog est la version ncurses de gtktalog

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog Docs/README.catalog3 Docs/README.data_representation NEWS README TODO
%{_bindir}/gtktalog
%{_libdir}/gtktalog/htmltitle
%{_libdir}/gtktalog/mp3info
%{_libdir}/gtktalog/modinfo
%{_libdir}/gtktalog/mpeginfo
%{_libdir}/gtktalog/aviinfo
%{_datadir}/gnome/apps/Applications/gtktalog.desktop
%{_datadir}/gnome/help/gtktalog/*
%{_datadir}/gtktalog
%{_datadir}/locale/*/LC_MESSAGES/gtktalog.mo
%{_datadir}/pixmaps/gtktalog.png


#%files ncatalog
#%defattr(-,root,root)
#%{_bindir}/bin/ncatalog

%changelog
* Mon Dec 18 2000 Yves Mettier <ymettier@libertysurf.fr>
- Many changed thanks to Matthias Saou <matthias.saou@est.une.marmotte.net>

* Tue Nov 14 2000 Yves Mettier <ymettier@libertysurf.fr>
- I'm using mdk-7.2 and all major rpm-distributions seem to have rpm-4.x
  So I'm getting rid of some unuseful stuff.

* Sun Sep 24 2000 Yves Mettier <ymettier@libertysurf.fr>
- Updated to rpm 3.0.5 because there was some problems with the prefix.

* Sun Aug 20 2000 Yves Mettier <ymettier@libertysurf.fr>
- removed ncatalog

* Fri Aug 04 2000 Yves Mettier <ymettier@libertysurf.fr>
- Now needs zlib

* Sun Jul 16 2000 Yves Mettier <ymettier@libertysurf.fr>
- separation of ncatalog

* Tue Jun 20 2000 Yves Mettier <ymettier@libertysurf.fr>
- First spec file

