/*  GTKtalog.
 *  Copyright (C) 1999-2000  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <config.h>
#include <gnome.h>

#include "about.h"

void
about_gtktalog ()
{
  GtkWidget *aboutbox;
  const gchar *authors[3] = { "Mathieu VILLEGAS", "Yves METTIER", NULL };

  aboutbox = gnome_about_new (PACKAGE, VERSION,
			      "Copyright (C) 1999-2000  Mathieu VILLEGAS - Yves Mettier",
			      authors,
			      _("http://gtktalog.sourceforge.net\n"
				"http://gtktalog.iskewl.com\n"
				"http://gtktalog.netpedia.net"),
			      DATA_DIR "/gtktalog/icons/logo.xpm");

  gtk_widget_show (aboutbox);
}
