/*  GTKtalog.
 *  Copyright (C) 1999  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __IO_H__
#define __IO_H__

#include <config.h>
#include <gnome.h>

#include "config_common.h"


gboolean add_gnode_to_ctree (GNode * gn, gpointer data);
void open_cat_ok_sel(GtkWidget *w, gpointer data);
void open_cat (FOLDER *racine);
void create_tree(FOLDER *racine);
void new_file();
void save_cat_ok_sel(GtkWidget *w, FOLDER *racine);
void save_cat(FOLDER *racine);
void fast_save(FOLDER *racine);
const gint string_to_index(GPtrArray *a, gchar *s);
gboolean test_plugin_existence(GString *filename);

#endif
/* io.c */
