/*  GTK Advanced Disk Catalog..
 *  Copyright (C) 1999  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef __LOADCAT_H__
#define __LOADCAT_H__
#include <zlib.h>

#include "config_common.h"

#ifdef CATALOG2
	#include "load_oldcat.h"
#endif

GString *read_gstring(int fh);
GString *gzread_gstring(gzFile fh);
FILE_DATA *read_filedata(gzFile gzfh, int fh);
void load_folder_tree(FOLDER *racine, gzFile gzcatalog, int catalog);
GPtrArray *load_gptrarray_of_gstrings(gzFile gzfh, int fh);
int load_cat_from_file(char *filename, FOLDER *racine);
int load_only_categories_from_file (char *filename, FOLDER * racine);

#endif
